<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop, Watch } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import { apiErrorHandler, redirectPage } from "@/utils/apiHanlers";
import { api } from "~/common/constaint";
import AdminCollectionModule from "~/store/adminCollection";
import _, { chunk, cloneDeep, forEach, uniq, uniqBy } from "lodash";
import { api_key_tiny_editor } from "@/common/constaint";
import draggable from "vuedraggable";
const slugify = require("slugify");

@Component({
  components: {
    draggable,
    MediaPicker: () => import("../../Gallery/MediaPicker/index.vue"),
    Review: () => import("../Review/index.vue"),
  },
})
export default class AdminShopProductComponent extends Vue {
  drag = true;

  api_key_tiny_editor = api_key_tiny_editor;
  adminCollection = getModule(AdminCollectionModule, this.$store);

  dialogMediaPicker = false;
  limitImage = true;
  isSelectMultipleImage = false;

  imageVariant = {
    imageId: "",
    imageUrl: "",
  };
  imageId = "";
  isImageVariant = false;
  indexImageVariant: any = null;

  // Variant
  listVariantOption: any = [];
  listVariant: any = [];
  listVariantSelected = [];
  dialgoEditVariant = false;

  variant = {
    price: 0,
    comparePrice: 0,
    productCost: 0,
    fullfillmentCost: 0,
    // stock: 0,
    sku: "",
  };

  variantName = "";

  productId = "";

  openDialogMediaPicker(name: string, variant: any) {
    this.variantName = name;
    this.dialogMediaPicker = true;
    this.isImageVariant = true;
    this.limitImage = true;
    this.imageId = variant?.imageId || "";
  }

  onAddVariant(i: number) {
    this.listVariantOption[i].values.push(
      this.listVariantOption[i].valueOption
    );
    this.listVariantOption[i].valueOption = "";
    this.onParseListVariant();
  }

  onRemoveVariant(idxOptionVariant: number, idxVariant: number) {
    this.listVariantOption[idxOptionVariant].values.splice(idxVariant, 1);
    this.onParseListVariant();
  }

  onAddOptionVariant() {
    this.listVariantOption.push({
      name: "",
      valueOption: "",
      values: [],
    });
  }
  onRemoveOptionVariant(i: number) {
    this.listVariantOption.splice(i, 1);
    this.onParseListVariant();
  }

  resultArray: any = [];

  onParseListVariant() {
    this.listVariantIds = [];
    if (this.listVariantOption.length > 1) {
      let arr = this.listVariantOption.map((item: any) =>
        chunk(item.values, 1)
      );
      this.resultArray = [];
      this.product.listVariant = [];
      for (let i = 0; i < arr.length; i++) {
        let handleArray = arr[i];
        const gop = this.gop2mang(this.resultArray, handleArray);
        this.resultArray = [...gop];
      }
      for (let result of this.resultArray) {
        const variant = result.join(" / ");
        // const findVariant = this.product.listVariant.find(
        // 	(item: any) => item.name === variant
        // );
        // if (findVariant) continue;
        this.product.listVariant.push({
          price: 0,
          comparePrice: 0,
          productCost: 0,
          fullfillmentCost: 0,
          // stock: 0,
          sku: "",
          imageId: "",
          listValue: uniq(result),
          name: variant,
        });
      }
    } else {
      this.resultArray = [];
      this.product.listVariant = [];
      if (
        this.listVariantOption[0] &&
        this.listVariantOption[0].values &&
        this.listVariantOption[0].values.length
      ) {
        for (let item of this.listVariantOption[0].values) {
          this.product.listVariant.push({
            price: 0,
            comparePrice: 0,
            productCost: 0,
            fullfillmentCost: 0,
            // stock: 0,
            sku: "",
            imageId: "",
            listValue: [item],
            name: item,
          });
        }
      }
    }
    this.product.listVariantOption = this.listVariantOption;
  }

  resultArraySelect: any = [];

  onParseListVariantSelect() {
    if (this.listNameSelect.length > 1) {
      let arr = this.listNameSelect.map((item: any) => chunk(item.values, 1));
      this.resultArraySelect = [];
      for (let i = 0; i < arr.length; i++) {
        let handleArray = arr[i];
        const gop = this.gop2mang(this.resultArraySelect, handleArray);
        this.resultArraySelect = [...gop];
      }
    } else {
      this.resultArraySelect = [];
      if (
        this.listNameSelect[0] &&
        this.listNameSelect[0].values.length === 1
      ) {
        this.resultArraySelect = [this.listNameSelect[0].values];
      } else if (
        this.listNameSelect[0] &&
        this.listNameSelect[0].values.length > 1
      ) {
        this.resultArraySelect = this.listNameSelect[0].values.map(
          (item: any) => [item]
        );
      } else {
        this.resultArraySelect = [];
      }
    }
  }

  gop2mang(array1: any, array2: any) {
    let arrColorSize = [];
    if (!array1.length) return array2;
    for (let color of array1) {
      for (let size of array2) {
        const variant = color;
        const variantTwo = size;
        arrColorSize.push([...variant, ...variantTwo]);
      }
    }
    return arrColorSize;
  }
  nameSelect: string[] = [];
  listNameSelect: any = [];
  onHandleVariantSelect(type: string) {
    if (type === "all") {
      this.listVariantIds = this.product.listVariant.map(
        (item: any) => item.name
      );
    } else if (type === "none") {
      this.listVariantIds = [];
      this.nameSelect = [];
    }
  }
  onHandleVariantSelected(item: any) {
    this.listVariantIds = [];
    this.listNameSelect = [];
    const findIdxName = this.nameSelect.findIndex((elem) => elem === item);
    if (findIdxName === -1) {
      this.nameSelect.push(item);
    } else {
      this.nameSelect.splice(findIdxName, 1);
    }
    for (let i = 0; i < this.listVariantOption.length; i++) {
      const list = this.listVariantOption[i].values.filter((value: any) =>
        this.nameSelect.includes(value)
      );
      this.listNameSelect.push({ i, values: list });
    }
    this.listNameSelect = this.listNameSelect.filter(
      (item: any) => item.values.length
    );
    this.onParseListVariantSelect();
    let listVariant = [];
    for (let elem of this.product.listVariant) {
      const listName = elem.listValue;
      listVariant.push(listName);
    }
    let listFoundFinal: any = [];
    for (const listSelectFind of this.resultArraySelect) {
      const listFound = listVariant.filter((variant) => {
        return listSelectFind.every((element: any) =>
          variant.includes(element)
        );
      });
      listFoundFinal = [...listFoundFinal, ...listFound];
    }
    for (let item of listFoundFinal) {
      this.listVariantIds.push(item.join(" / "));
    }
  }

  selectActive(item: string) {
    const findItem = this.nameSelect.find((elem) => elem === item);
    if (findItem) return true;
    return false;
  }
  openDialogEditVariant() {
    this.dialgoEditVariant = true;
    if (this.listVariantIds.length) {
      const findVariant = this.product.listVariant.find(
        (item: any) => item.name === this.listVariantIds[0]
      );
      if (findVariant) {
        const {
          price,
          comparePrice,
          productCost,
          fullfillmentCost,
          // stock,
          sku,
        } = findVariant;
        this.variant = {
          price,
          comparePrice,
          productCost,
          fullfillmentCost,
          // stock,
          sku,
        };
      }
    }
  }
  onEditVariant() {
    const listVariant: any = [];
    this.listVariantIds.forEach((id: any) => {
      this.product.listVariant.forEach((variant: any) => {
        if (id === variant.name) {
          if (this.variant.price) {
            variant.price = this.variant.price;
          }
          if (this.variant.comparePrice) {
            variant.comparePrice = this.variant.comparePrice;
          }
          if (this.variant.productCost) {
            variant.productCost = this.variant.productCost;
          }
          if (this.variant.fullfillmentCost) {
            variant.fullfillmentCost = this.variant.fullfillmentCost;
          }
          if (this.variant.sku) {
            variant.sku = this.variant.sku;
          }
        }
      });
    });
    this.dialgoEditVariant = false;
    this.variant = {
      price: 0,
      comparePrice: 0,
      productCost: 0,
      fullfillmentCost: 0,
      // stock: 0,
      sku: "",
    };
  }
  // End variant

  resetContent = false;

  config = {
    page: 1,
    limit: 25,
    search: "",
  };
  totalPage: number = 0;

  configProduct = {
    page: 1,
    limit: 25,
    search: "",
    filter: {},
  };
  totalPageProduct: number = 0;

  loadingTable = false;
  loadingTableProduct = false;
  selectedAll = false;
  selectedAllVariant = false;
  dialogAddRelatedProduct = false;
  filterCollection = "All";
  listRelatedProduct = [];
  listRelatedProductIds = [];
  listAllProduct = [];
  listProduct = [];
  listProductIds = [];
  listVariantIds: any = [];
  listCollection: any = [];
  listVariantProduct: any = [];
  listLanguage = [
    { name: "English", value: "EN" },
    { name: "Germany", value: "DE" },
    { name: "Spain", value: "ES" },
    { name: "Italy", value: "IT" },
  ];
  product: any = {
    categoryId: "", // Không bắt buộc
    productName: "",
    slug: "",
    language: "EN",
    productStatus: true, // Không bắt buộc
    listVariantOption: [],
    listVariant: [],
    description: "",
    relatedProduct: [], // Khoong
    coverId: "",
    listImageId: [], // Khoong
  };
  listCoverIdComponent: any = [];
  imageRender = "";
  collectionStatus = true;
  loading = false;
  loadingCreate = null;

  variantIdx = "";
  tiptapWord = "";
  imageAdd = "";
  beforeDestroy() {
    this.$store.commit("adminCollection/setCoverId", {
      coverId: "",
      imageUrl: "",
    });
  }

  async created() {
    // setTimeout(() => {
    // 	const a = document.querySelector(
    // 		"button[title='Insert/edit image']"
    // 	);
    // 	a?.addEventListener("click", () => {
    // 		this.tiptapWord = "tiptapWord";
    // 		this.dialogMediaPicker = true;
    // 	});
    // }, 1000);
    // setTimeout(() => {
    // 	document
    // 		.getElementsByClassName("tox-mbtn")[3]
    // 		.classList.add("d-none");
    // 	//@ts-ignore
    // }, 500);
    // console.log("editor :>> ", editor);
    // EditorData.addButton("mybutton", {
    // 	text: "My Button",
    // 	onclick: function () {
    // 		alert("My Button clicked!");
    // 	},
    // });
  }
  get imageUrl() {
    return this.$store.state.adminCollection.imageUrl;
  }
  // setImageEditor(value: string) {
  // 	if (value) {
  // 		//@ts-ignore
  // 		tinyMCE.execCommand(
  // 			"mceInsertContent",
  // 			false,
  // 			'<img alt="hinh_anh" height="42" width="42" src="' +
  // 				`${value}` +
  // 				'"/>'
  // 		);
  // 	}
  // }
  mounted() {
    // this.onGetListCollection();
    // this.onGetListAllProduct();
    // this.onGetListVariantProduct()
  }

  async onGetListAllProduct() {
    try {
      const response = await this.$api.product.getListAdmin(this.config);
      if (response?.data?.data) {
        this.listAllProduct = response.data.data;
      }
    } catch (error) {
      apiErrorHandler(error, this);
    }
  }
  async onGetListProduct() {
    try {
      if (this.filterCollection !== "All") {
        //@ts-ignore
        this.configProduct.filter["categoryId"] = this.filterCollection;
      } else {
        //@ts-ignore
        delete this.configProduct.filter["categoryId"];
      }
      this.loadingTableProduct = true;
      const response = await this.$api.product.getListAdmin(this.configProduct);
      const { page, total, totalInList, data } = response.data;
      this.totalPageProduct = Math.ceil(total / this.configProduct.limit);
      if (response?.data?.data) {
        this.listProduct = response.data.data;
      }
    } catch (error) {
      apiErrorHandler(error, this);
    } finally {
      this.loadingTableProduct = false;
    }
  }

  async onGetListCollection() {
    try {
      const response = await this.$store.dispatch(
        "adminCollection/onGetListCollection",
        {
          ctx: this,
        }
      );
      if (response?.data?.data) {
        this.listCollection = response.data.data;
      }
    } catch (error) {
      apiErrorHandler(error, this);
    }
  }

  onSelectImage(isImageVariant?: any) {
    this.limitImage = true;
    this.tiptapWord = "";
    this.dialogMediaPicker = true;
    if (isImageVariant === "isImageVariant") {
      this.isImageVariant = true;
      // this.indexImageVariant = idx;
    }
  }

  onSelectMultipleImage() {
    this.limitImage = false;
    this.isSelectMultipleImage = true;
    this.dialogMediaPicker = true;
  }

  removeImage() {
    const listCoverIdComponent = this.listCoverIdComponent;
    listCoverIdComponent.splice(0, 1);
    // this.$store.commit("adminGallery/setListCoverId", listCoverIdComponent);
  }

  removeImageChild(i: number) {
    this.listCoverIdComponent.splice(i + 1, 1);
    // this.$store.commit("adminGallery/setListCoverId", listCoverIdComponent);
  }

  async onCreateProduct() {
    try {
      const coverId = this.$store.state.adminCollection.coverId;
      if (coverId) {
        this.product.coverId = coverId;
      }
      if (
        !(
          this.product.productName &&
          this.product.slug &&
          this.product.description
        )
      ) {
        return this.$pushNotification.error(
          "Please enter your name, link and description"
        );
      }
      for (let variant of this.product.listVariant) {
        if (
          !(
            (
              variant.price &&
              variant.comparePrice &&
              variant.productCost
            ) /*  &&
						// variant.stock &&
						variant.sku */
          )
        ) {
          return this.$pushNotification.error(
            "Please enter cost price, variant compare price, variant product cost & sku"
          );
        } else if (
          variant.price < 1 &&
          variant.comparePrice < 1 &&
          variant.productCost < 1 &&
          // variant.stock < 1 &&
          variant.productCost < 1
        ) {
          return this.$pushNotification.error(
            "Price, variant compare price, variant product cost, variant fullfillmentCost  cannot be less than 1"
          );
        }
        // else if (!variant.imageUrl) {
        // 	return this.$pushNotification.error(
        // 		"Please choose variant image"
        // 	);
        // }
      }
      // if (!this.product.coverId) {
      // 	return this.$pushNotification.error(
      // 		"Please select product image thumbnail"
      // 	);
      // }

      if (!this.product.listVariant.length) {
        return this.$pushNotification.error("Variant cannot be less than 1 ");
      }
      const listCoverId = this.listCoverIdComponent;
      if (!listCoverId.length) {
        return this.$pushNotification.error("Please select product image");
      }
      this.product.listImageId = listCoverId.map((item: any) => item._id);
      this.loading = true;
      if (this.listRelatedProduct.length) {
        //@ts-ignore
        this.product.relatedProduct = this.listRelatedProduct.map(
          (product: any) => product._id
        );
      }
      for (let variant of this.product.listVariant) {
        variant.comparePrice = parseFloat(
          variant.comparePrice.toString().replace(",", ".")
        );
        variant.price = parseFloat(variant.price.toString().replace(",", "."));
        variant.productCost = parseFloat(
          variant.productCost.toString().replace(",", ".")
        );
        variant.fullfillmentCost = parseFloat(
          variant.fullfillmentCost.toString().replace(",", ".")
        );
      }

      const response = await this.$api.product.create(this.product);
      if (response?.data) {
        this.productId = response.data._id;
      }
      this.$pushNotification.success("Created product successfully");
      this.product = {
        categoryId: "", // Không bắt buộc
        name: "",
        slug: "",
        language: "EN",
        productStatus: true, // Không bắt buộc
        listVariantOption: [],
        listVariant: [],
        description: "",
        relatedProduct: [], // Khoong
        coverId: "",
        price: 0,
        originPrice: 0,
        salePrice: 0,
        // stock: 0,
        sku: "",
        listImageId: [], // Khoong,
      };
      this.listVariantProduct = [];
      this.listRelatedProduct = [];
      this.listRelatedProductIds = [];
      this.listVariantOption = [];
      this.listVariant = [];
      this.listVariantSelected = [];
      this.listVariantIds = [];
      this.selectedAll = false;
      this.selectedAllVariant = false;
      this.resetContent = true;
      this.listCoverIdComponent = [];
      this.$store.commit("adminGallery/setListCoverId", []);
      this.$store.commit("adminCollection/setCoverId", {
        coverId: "",
        imageUrl: "",
      });
    } catch (error) {
      console.log("error :>> ", error);
      apiErrorHandler(error, this);
    } finally {
      this.loading = false;
    }
  }

  addVariantProduct() {
    this.listVariantProduct.push({
      name: "",
      originPrice: 0,
      price: 0,
      imageId: "",
      imageUrl: "",
      // stock: 0,
      size: "",
      color: "",
    });
  }

  deleteVariant(variant: any, idx: number) {
    if (variant._id) {
    } else {
      this.listVariantProduct.splice(idx, 1);
    }
  }

  onAddRelatedProduct() {
    for (let id of this.listProductIds) {
      const findProduct = this.listAllProduct.find(
        (product: any) => product._id === id
      );
      if (findProduct) {
        this.listRelatedProduct.push(findProduct);
      }
    }
    this.listRelatedProduct = _.unionBy(this.listRelatedProduct, "_id");
    this.listProductIds = [];
    this.dialogAddRelatedProduct = false;
  }
  onDeleteRelatedProduct() {
    for (let id of this.listRelatedProductIds) {
      const findIdx = this.listRelatedProduct.findIndex(
        (product: any) => product._id === id
      );
      if (findIdx !== -1) {
        this.listRelatedProduct.splice(findIdx, 1);
      }
    }
    this.listRelatedProductIds = [];
    this.selectedAll = false;
  }
  generateSlug(tilte: string) {
    const options = {
      replacement: "-",
      remove: undefined,
      lower: true,
      strict: false,
      locale: "en",
      trim: true,
    };
    let slug = slugify(tilte, options);
    slug = slug.replaceAll(`'`, "");
    return slug;
  }
  // totalStockProduct(product: any) {
  // 	let num = 0;
  // 	if (product) {
  // 		for (let sanpham of product.variant) {
  // 			if (sanpham && sanpham.stock) {
  // 				num += sanpham.stock;
  // 			}
  // 		}
  // 	}
  // 	return num || product.stock;
  // }
  calcPrice(product: any) {
    let price = 0;
    if (product.variant.length) {
      for (let variant of product.variant) {
        price += variant.price;
      }
    } else {
      return product.price;
    }
    return Math.round(price * 100) / 100;
  }
  convertMultipleImage(cover: any) {
    if (cover.imageUrl) {
      return `${api}/${cover.imageUrl}`;
    }
    return "";
  }
  convertImg(product: any) {
    if (product?.coverId?.imageUrl) {
      return `${api}/${product.coverId.imageUrl}`;
    }
    return "";
  }
  get convertImage() {
    // const imageUrl = this.$store.state.adminCollection.imageUrl;
    const imageUrl = this.listCoverIdComponent[0]?.imageUrl || "";
    if (imageUrl) {
      return `${api}/${imageUrl}`;
    }
    return "";
  }

  get listCoverId() {
    const listCoverId = cloneDeep(this.$store.state.adminGallery.listCoverId);
    return listCoverId && listCoverId;
  }

  set listCoverId(value: any) {
    this.$store.commit("adminGallery/setListCoverId", value);
  }

  @Watch("selectedAll")
  async onSelectAllChanged(value: string, oldValue: string) {
    if (value) {
      const listRelatedProductIds = [...this.listRelatedProductIds];
      //@ts-ignore
      const selectedCurrentProduct = this.listRelatedProduct
        //@ts-ignore
        .map((product) => product._id)
        //@ts-ignore
        .filter((id) => !listRelatedProductIds.includes(id));
      //@ts-ignore
      this.listRelatedProductIds = [
        ...listRelatedProductIds,
        ...selectedCurrentProduct,
      ];
    } else {
      //@ts-ignore
      const selectedCurrentProduct = this.listRelatedProduct
        //@ts-ignore
        .map((product) => product._id);
      this.listRelatedProductIds = this.listRelatedProductIds.filter(
        (c) => !selectedCurrentProduct.includes(c)
      );
    }
  }

  @Watch("selectedAllVariant")
  async onSelectAllVariantChanged(value: string, oldValue: string) {
    if (value) {
      const listVariantIds = [...this.listVariantIds];
      //@ts-ignore
      const selectedCurrentVariant = this.product.listVariant
        //@ts-ignore
        .map((item) => item.name)
        //@ts-ignore
        .filter((name) => !listVariantIds.includes(name));
      //@ts-ignore
      this.listVariantIds = [...listVariantIds, ...selectedCurrentVariant];
    } else {
      //@ts-ignore
      const selectedCurrentVariant = this.product.listVariant
        //@ts-ignore
        .map((item) => item.name);
      this.listVariantIds = this.listVariantIds.filter(
        (c: any) => !selectedCurrentVariant.includes(c)
      );
    }
  }

  removeAccents(str: string) {
    return str
      .normalize("NFD")
      .replace(/[\u0300-\u036f]/g, "")
      .replace(/đ/g, "d")
      .replace(/Đ/g, "D");
  }

  get initEditor() {
    return {
      height: 1000,
      image_title: true,
      automatic_uploads: true,
      //@ts-ignore
      file_picker_callback: function (cb, value, meta) {
        var input = document.createElement("input");
        input.setAttribute("type", "file");
        input.setAttribute("accept", "image/*");
        input.onchange = function () {
          //@ts-ignore
          var file = this.files[0];

          var reader = new FileReader();
          reader.onload = function () {
            var id = "blobid" + new Date().getTime();
            var blobCache =
              //@ts-ignore
              tinymce.activeEditor.editorUpload.blobCache;
            //@ts-ignore
            var base64 = reader.result.split(",")[1];
            var blobInfo = blobCache.create(id, file, base64);
            blobCache.add(blobInfo);
            cb(blobInfo.blobUri(), { title: file.name });
          };
          reader.readAsDataURL(file);
        };

        input.click();
      },
      file_picker_types: "image",
      plugins: ["lists link image code help wordcount"],
      toolbar:
        "undo redo | formatselect | bold italic | forecolor alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | image link media template codesample inserttable | charmap emoticons hr | pagebreak nonbreaking anchor toc | insertdatetime | help",
    };
  }

  @Watch("product.productName")
  changedName(val: string) {
    if (val) {
      const parseSlug = this.removeAccents(val);
      const slug = this.generateSlug(parseSlug);
      this.product.slug = slug;
    }
  }

  @Watch("isImageVariant")
  changedIsImageVariant(value: boolean) {
    if (!value) {
      if (this.variantName) {
        const listVariant = cloneDeep(this.product.listVariant);
        listVariant.forEach((item: any) => {
          if (this.variantName === item.name) {
            item.imageId = this.imageVariant.imageId;
            item.imageUrl = this.imageVariant.imageUrl;
          }
        });
        this.$nextTick(() => {
          this.product.listVariant = listVariant;
        });
        this.variantName = "";
      } else {
        const listVariant = cloneDeep(this.product.listVariant);
        this.listVariantIds.forEach((id: any) => {
          listVariant.forEach((item: any) => {
            if (id === item.name) {
              item.imageId = this.imageVariant.imageId;
              item.imageUrl = this.imageVariant.imageUrl;
            }
          });
        });
        this.$nextTick(() => {
          this.product.listVariant = listVariant;
        });
      }
      this.imageVariant = {
        imageId: "",
        imageUrl: "",
      };
    }
  }

  @Watch("listVariantProduct")
  changedListvariantProduct(val: any) {
    if (val.length) {
      // this.product.stock = 0;
      this.product.price = 0;
      this.product.originPrice = 0;
    }
  }

  @Watch("dialogAddRelatedProduct")
  changedDialogAddRelatedProduct(val: Boolean) {
    if (val) {
      this.onGetListProduct();
      this.listCollection.unshift({ name: "All", value: "" });
    } else {
      this.listCollection.shift();
    }
  }

  @Watch("configProduct.search")
  changedSearchProduct(val: string) {
    if (!val) {
      this.onGetListProduct();
    }
  }
  @Watch("configProduct.page")
  changedPageProduct(val: string) {
    if (!val) {
      this.onGetListProduct();
    }
  }

  @Watch("filterCollection")
  changedFilterCollection() {
    this.onGetListProduct();
  }

  @Watch("listCoverId")
  changedDialogMediaPicker(value: any) {
    if (value.length) {
      this.listCoverIdComponent = [
        ...this.listCoverIdComponent,
        ...this.listCoverId,
      ];
    }
  }
}
</script>

<style>
.thumbnails-image-child {
  border: 1px dashed #0091ea;
  border-radius: 8px;
  width: 60px;
  height: 60px;
}

.thumbnails-image {
  border: 1px dashed #0091ea;
  border-radius: 8px;
  width: 216px;
  height: 216px;
}

.thumbnails-image-selected .button-remove-image {
  position: absolute;
  top: 6px;
  right: 6px;
}

.thumbnails-image-child-selected .button-remove-image {
  position: absolute;
  top: 0px;
  right: 0px;
}

.thumbnails-image-selected {
  width: 216px;
  height: 216px;
}

.height-radio {
  height: 200px;
  overflow-y: scroll;
}

.ProseMirror {
  padding: 12px 0px 28px 0px !important;
}

.tox-mbtn:nth-child(4) {
  display: none !important;
}

/* .tox-dialog,
.tox-dialog-wrap {
	display: none !important;
}
.tox-statusbar__branding {
	display: none !important;
} */

.border-variant {
  border: 1px solid #c3c3c3;
}

.isActive {
  background: #0ab54e;
  color: #ffffff;
}
</style>
